\c postgres

DROP DATABASE bookstore;

CREATE DATABASE bookstore;

\c bookstore

CREATE TABLE sample (
	no integer CONSTRAINT pk_no PRIMARY KEY,
	name varchar(50),
	price integer
);

CREATE TABLE category (
	cat_id integer CONSTRAINT pk_cat_id PRIMARY KEY,
	cat_name varchar(30)
);


CREATE TABLE books(
	book_id integer PRIMARY KEY,
	title varchar(100) NOT NULL,
	author varchar(50) NOT NULL,
	date date,
	cat_id integer REFERENCES category(cat_id),
	price integer CHECK(price > 0),
	stock integer DEFAULT 0
);

insert into sample values(1001,'~J',50);
insert into sample values(1002,'S',90);
insert into sample values(1003,'oii',50);

insert into category values(1,'wE]_');
insert into category values(2,'VE');
insert into category values(3,'rWlXEo');
insert into category values(4,'Rs[^EIT');
insert into category values(5,'AEEi');
insert into category values(6,'E');
insert into category values(7,'EG{');
insert into category values(8,'R~bN');
insert into category values(9,'炵E');
insert into category values(10,'n}EsKCh');

insert into books values(10001,'͂߂ĂSQL','ꕽ','20160830',4,2200,15);
insert into books values(10002,'N}K','юY','20170310',8,600,20);
insert into books values(10003,'{̂߃KCh','R{KOY','20160121',10,1200,7);
insert into books values(10004,'̉ƒ뗿','lFq','20160515',9,1000,null);
insert into books values(10005,'p\RĂ݂悤','ܖ؉Ԏq','20161123',4,1600,5);
insert into books values(10006,'悭킩oϊw','ZpY','20170120',3,1600,10);
insert into books values(10007,'̓L','cC','20170225',7,700,18);
insert into books values(10008,'₳lbg[N','cY','20161022',4,2100,12);
insert into books values(10009,'̂','㓡Kq','20160115',9,1300,3);
insert into books values(10010,'ނƂ킽','\','20170216',2,1000,8);

